Bug 1891668 (CVE-2020-27617) - CVE-2020-27617 QEMU: net: an assert failure via eth_get_gso_type
Summary: CVE-2020-27617 QEMU: net: an assert failure via eth_get_gso_type
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-27617
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1891669 1892347 1892348 1892349 1892350 1894504 1910668 1939494
Blocks: 1879504
TreeView+ depends on / blocked
 
Reported: 2020-10-27 03:15 UTC by Prasad J Pandit
Modified: 2022-04-17 21:02 UTC (History)
22 users (show)

Fixed In Version: QEMU 5.2.0
Doc Type: ---
Doc Text:
An assert(3) failure flaw was found in the networking helper functions of QEMU. This vulnerability can occur in the eth_get_gso_type() routine if a packet does not have a valid networking L3 protocol (ex. IPv4, IPv6) value. This flaw allows a guest user to crash the QEMU process on the host, resulting in a denial of service.
Clone Of:
Environment:
Last Closed: 2021-08-10 19:28:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3061 0 None None None 2021-08-10 13:50:14 UTC

Description Prasad J Pandit 2020-10-27 03:15:56 UTC
An assert(3) failure issue was found in the networking helper functions of QEMU. It could occur in the eth_get_gso_type() routine, if a packet does not have a valid networking L3 protocol (ex. IPv4, IPv6) value. A guest user may use this flaw to crash the QEMU process on the host resulting in DoS scenario.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2020-10/msg06023.html

Comment 1 Prasad J Pandit 2020-10-27 03:16:03 UTC
Acknowledgments:

Name: Gaoning Pan (Zhejiang University)

Comment 2 Prasad J Pandit 2020-10-27 03:22:43 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1891669]

Comment 8 errata-xmlrpc 2021-08-10 13:50:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3061 https://access.redhat.com/errata/RHSA-2021:3061

Comment 9 Product Security DevOps Team 2021-08-10 19:28:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-27617


Note You need to log in before you can comment on or make changes to this bug.